
{% extends 'layouts/base.html' %}
{% set templateClass = 'portfolio' %}
{% set pageCriticalStyles = ['css/portfolio.css'] %}
{% set pageScripts = ['portfolio.js'] %}
{% set externalScripts = ['https://cdnjs.cloudflare.com/ajax/libs/gsap/3.3.4/ScrollTrigger.min.js',
'https://unpkg.com/flickity@2/dist/flickity.pkgd.min.js'] %}

{% block content %}
<section class="hero wrapper">
  <div class="hero__text">
    <h1 class="hero__title">Scott Caldwell</h1>
    <ul class="hero__career-titles">
      <li class="hero__career-title">web&nbsp;developer</li>
      <li class="hero__career-title">fullstack&nbsp;developer</li>
      <li class="hero__career-title">frontend&nbsp;developer</li>
      <li class="hero__career-title">web&nbsp;designer</li>
      <li class="hero__career-title">UI&nbsp;developer</li>
      <li class="hero__career-title">UX&nbsp;designer</li>
      <li class="hero__career-title">web&nbsp;developer</li>
    </ul>
    <p class="hero__bio">I have worked with agencies and SaaS companies to deliver high performance, accessible, user-first experiences for the web. Currently searching for a front-end focused, full-time, remote position. Based in Vancouver, BC.</p>

  </div>
  <div class="hero__image">
    <img src="/assets/img/portfolio/portrait.jpg" width="512" height="628" alt="Portrait of Scott Caldwell">
  </div>
</section>
<section class="experience">
  <h2 class="section-header">experience</h2>
  <div class="card-grid">
    <article class="card card--scc">
      <div class="card__header">
        <div class="card__link">
          <img class="card__logo" src="/assets/img/portfolio/logos/scc-logo.png" alt="iamota Logo" height="" width="">
        </div>
        <p class="card__subtitle">
        Designed and developed high performance websites powered by modern content management systems for artists such&nbsp;as:
        </p>
      </div>
      <div class="card__body">
        <ul class="card__companies">
          <li class="card__company">
            <a href="https://marykersell.com" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo card__company-logo--wide" src="/assets/img/portfolio/logos/mwk-logo.png" alt="Mary Kersell logo"  height="" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://cameronsparling.com/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo card__company-logo--wide" src="/assets/img/portfolio/logos/csp-stacked-logo.png" alt="Cameron Sparling Photography logo" height="" width="128">
            </a>
          </li>
        </ul>  
      </div>
      <div class="card__footer">
        <div class="carousel card__screenshots">
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/mwk-album.png" alt="Screenshot of MaryKersell.com webpage" height="" width=""></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/mwk-footer.png" alt="Screenshot of bottom of MaryKersell.com webpage" height="" width=""></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/csp-album.png" alt="Screenshot of Cameron Sparling Photography homepage" height="" width=""></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/csp-photo.png" alt="Screenshot of Cameron Sparling Photography photo page" height="" width=""></div>
        </div>
      </div>
    </article>
    <article class="card card--iamota">
      <div class="card__header">
        <a class="card__link" href="https://www.iamota.com" target="_blank" rel="noopener noreferrer">
          <img class="card__logo" src="/assets/img/portfolio/logos/iamota-logo.png" alt="iamota Logo" height="48" width="150.8">
        </a>
        <p class="card__subtitle">
        Developed eCommerce stores powered by Shopify and WooCommerce, implemented performance improvements, performed quality assurance, and helped build component library used by brands such&nbsp;as:
        </p>
      </div>
      <div class="card__body">
        <ul class="card__companies">
          <li class="card__company">
            <a href="https://manitobaharvest.com/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/manitoba-harvest-logo.png" alt="Manitoba Harvest logo"  height="104.38" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://www.naturespath.com/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/natures-path-logo.png" alt="Nature's Path logo" height="97.73" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://www.whitespot.ca/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/white-spot-logo.png" alt="WhiteSpot logo" height="78.42" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://mustangsurvival.ca/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/mustang-survival-logo.svg" alt="Mustang Survival logo" height="128" width="128">
            </a>
          </li>
        </ul>  
      </div>
      <div class="card__footer">
        <div class="carousel card__screenshots">
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/mustang.png" alt="Screenshot of Mustang Survival homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/whitespot.png" alt="Screenshot of White Spot homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/manitoba-harvest.png" alt="Screenshot of Manitoba Harvest homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/natures-path.png" alt="Screenshot of Nature's Path homepage" height="384" width="719"></div>
        </div>
      </div>
    </article>
    <article class="card card--redstamp">
      <div class="card__header">
        <a class="card__link" href="https://www.redstamp.com" target="_blank" rel="noopener noreferrer">
          <img class="card__logo" src="/assets/img/portfolio/logos/redstamp-logo.svg" alt="Redstamp Logo" height="48" width="149">
        </a>
        <p class="card__subtitle">
        Created custom themes and CMS backends using WordPress and CraftCMS, built and tested email templates, implemented performance optimazations for companies such&nbsp;as:
        </p>
      </div>
      <div class="card__body">
        <ul class="card__companies">
          <li class="card__company">
            <a href="https://exabeam.com" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/exabeam-logo.png" alt="Exabeam logo" height="22.33" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://heap.io" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/heap-logo.svg" alt="Heap Analytics logo" height="33.05" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://hootsuite.com" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/hootsuite-logo.png" alt="Hootsuite logo" height="32" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://constructor.io" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/constructor-logo.svg" alt="Constructor.io logo" height="28.43" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://web.sycle.net/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/sycle-logo.svg" alt="Clever logo" height="35.3" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://sproutly.ca/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/sproutly-logo.png" alt="Sproutly logo" height="48" width="115">
            </a>
          </li>
        </ul>
      </div>
      <div class="card__footer">
        <div class="carousel card__screenshots">
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/constructor.png" alt="Screenshot of Constructor.io homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/exabeam.png" alt="Screenshot of Exabeam.com homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/heap.png" alt="Screenshot of Heap.io homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/sycle.png" alt="Screenshot of Sycle homepage" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/sproutly.png" alt="Screenshot of Sproutly homepage" height="384" width="719"></div>
        </div>
      </div>
    </article>
    <article class="card card--rewardstream">
      <div class="card__header">
        <a class="card__link" href="https://rewardstream.com/home/" target="_blank" rel="noopener noreferrer">
          <img class="card__logo" src="/assets/img/portfolio/logos/rewardstream-logo.png" alt="Rewardstream Logo" height="48" width="176.267">
        </a>
        <p class="card__subtitle">
        Helped build Referral Marketing SaaS product - upgraded dashboard to SPA built with AngularJS, designed and implemented client onboarding tool, implemented analytics dashboard used by clients such&nbsp;as: 
        </p>
      </div>
      <div class="card__body">
        <ul class="card__companies">
          <li class="card__company">
            <a href="https://www.telus.com/en/mobility/content/refer-a-friend" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/telus-logo.png" alt="Telus logo" height="27.42" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://rogers.sparkrefer.com/public/home.pg" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/rogers-logo.png" alt="Rogers logo" height="22.42" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://www.virginmobile.ca/" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/virgin-mobile-logo.png" alt="Virgin Mobile logo" height="48" width="57">
            </a>
          </li>
          <li class="card__company">
            <a href="https://refer.sprint.com/public/home.pg" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/sprint-logo.png" alt="Sprint logo" height="48" width="116">
            </a>
          </li>
          <li class="card__company">
            <a href="https://referafriend.koodomobile.com/public/home.pg?lang=en" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/koodo-logo.png" alt="Koodo logo" height="42.66" width="128">
            </a>
          </li>
          <li class="card__company">
            <a href="https://refer.freedommobile.ca/public/home.pg" target="_blank" rel="noopener noreferrer">
              <img class="card__company-logo" src="/assets/img/portfolio/logos/freedom-logo.png" alt="Freedom Mobile logo" height="48" width="96">
            </a>
          </li>
        </ul>
      </div>
      <div class="card__footer">
        <div class="carousel card__screenshots">
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/rs_campaigns.png" alt="Screenshot of Rewardstream campaign editor" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/rs_social.png" alt="Screenshot of Rewardstream social editor" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/rs_onboarding.png" alt="Screenshot of Rewardstream onboarding tool" height="384" width="719"></div>
          <div class="carousel-cell"><img src="/assets/img/portfolio/screenshots/rs_content_editor.png" alt="Screenshot of Rewardstream content editor" height="384" width="719"></div>
        </div>
      </div>
    </article>
  </div>
</section>
<section class="skills wrapper">
  <h2 class="section-header">skillset</h2>
  <ul class="skill-list">
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>JavaScript</h3></div>
      <p>AngularJS, Vue.js, React, jQuery, animation with GSAP, data visualization with D3.js</p>
    </li>
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>CSS</h3></div>
      <p>Sass, scalable CSS architecture, BEM, responsive&nbsp;design</p>
    </li>
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>HTML</h3></div>
      <p>Semantic HTML, Accessibility, SEO best practices</p>
    </li>
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>Developer Tools</h3></div>
      <p>Git, Gulp, Grunt, Webpack, npm scripts</p>
    </li>
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>CMSs</h3></div>
      <p>Shopify, WordPress, CraftCMS, Forestry.io,&nbsp;Sanity.io</p>
    </li>
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>QA</h3></div>
      <p>Visual regression testing, integration testing, performance auditing</p>
    </li>
    <li class="skill-list__item">
      <div class="skill-list__item__title"><h3>PM tools</h3></div>
      <p>Agile software development using Jira, Trello, Asana, Harvest</p>
    </li>
  </ul>
</section>
{% endblock %}